Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.taglib
Class HtmlToolTipTag

    java.lang.Object
      javax.faces.webapp.UIComponentTag
          org.ajax4jsf.webapp.taglib.UIComponentTagBase
              org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
                  org.richfaces.taglib.HtmlToolTipTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class HtmlToolTipTag

extends org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentTag
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`HtmlToolTipTag()`

Method Summary
`java.lang.String` | `getComponentType()`
`java.lang.String` | `getRendererType()`
`void` | `release()`
`void` | `setDirection(java.lang.String __direction)`
`void` | `setDisabled(java.lang.String __disabled)`
`void` | `setEvent(java.lang.String __event)`
`void` | `setFollowMouse(java.lang.String __followMouse)`
`void` | `setHideDelay(java.lang.String __hideDelay)`
`void` | `setHorizontalOffset(java.lang.String __horizontalOffset)`
`void` | `setLayout(java.lang.String __layout)`
`void` | `setMode(java.lang.String __mode)`
`void` | `setOncomplete(java.lang.String __oncomplete)`
`void` | `setOnhide(java.lang.String __onhide)`
`void` | `setOnshow(java.lang.String __onshow)`
`protected void` | `setProperties(javax.faces.component.UIComponent component)`
`void` | `setShowDelay(java.lang.String __showDelay)`
`void` | `setVerticalOffset(java.lang.String __verticalOffset)`
`void` | `setZorder(java.lang.String __zorder)`

Methods inherited from class org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
`setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

Methods inherited from class org.ajax4jsf.webapp.taglib.UIComponentTagBase
`setActionListenerProperty, setActionProperty, setBooleanProperty, setCharterProperty, setConverter, setConverterProperty, setDoubleProperty, setFloatProperty, setIntegerProperty, setLongProperty, setStringProperty, setValidatorProperty, setValue, setValueBinding, setValueChangedListenerProperty, setValueProperty`

Methods inherited from class javax.faces.webapp.UIComponentTag
`doEndTag, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getComponentInstance, getCreated, getDoEndValue, getDoStartValue, getFacesContext, getFacetName, getId, getParent, getParentUIComponentTag, isSuppressed, isValueReference, setBinding, setId, setPageContext, setParent, setRendered, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlToolTipTag

    public HtmlToolTipTag()

Method Detail

### setDirection

    public void setDirection(java.lang.String __direction)

### setDisabled

    public void setDisabled(java.lang.String __disabled)

### setEvent

    public void setEvent(java.lang.String __event)

### setFollowMouse

    public void setFollowMouse(java.lang.String __followMouse)

### setHideDelay

    public void setHideDelay(java.lang.String __hideDelay)

### setHorizontalOffset

    public void setHorizontalOffset(java.lang.String __horizontalOffset)

### setLayout

    public void setLayout(java.lang.String __layout)

### setMode

    public void setMode(java.lang.String __mode)

### setOncomplete

    public void setOncomplete(java.lang.String __oncomplete)

### setOnhide

    public void setOnhide(java.lang.String __onhide)

### setOnshow

    public void setOnshow(java.lang.String __onshow)

### setShowDelay

    public void setShowDelay(java.lang.String __showDelay)

### setVerticalOffset

    public void setVerticalOffset(java.lang.String __verticalOffset)

### setZorder

    public void setZorder(java.lang.String __zorder)

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### getComponentType

    public java.lang.String getComponentType()

  Specified by:
    `getComponentType` in class `javax.faces.webapp.UIComponentTag`

### getRendererType

    public java.lang.String getRendererType()

  Specified by:
    `getRendererType` in class `javax.faces.webapp.UIComponentTag`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.